Index: tmp/org.txm.specificities.rcp/src/org/txm/specificities/rcp/editors/SpecificitiesEditor.java
===================================================================
--- tmp/org.txm.specificities.rcp/src/org/txm/specificities/rcp/editors/SpecificitiesEditor.java	(revision 2947)
+++ tmp/org.txm.specificities.rcp/src/org/txm/specificities/rcp/editors/SpecificitiesEditor.java	(revision 2948)
@@ -27,6 +27,8 @@
 //
 package org.txm.specificities.rcp.editors;
 
+import java.util.ArrayList;
+
 import org.eclipse.jface.viewers.ArrayContentProvider;
 import org.eclipse.jface.viewers.ISelection;
 import org.eclipse.jface.viewers.TableViewer;
@@ -55,6 +57,7 @@
 import org.txm.searchengine.cqp.corpus.CQPCorpus;
 import org.txm.searchengine.cqp.corpus.MainCorpus;
 import org.txm.searchengine.cqp.corpus.Subcorpus;
+import org.txm.searchengine.cqp.corpus.WordProperty;
 import org.txm.specificities.core.functions.Specificities;
 import org.txm.specificities.core.preferences.SpecificitiesPreferences;
 import org.txm.specificities.rcp.messages.SpecificitiesUIMessages;
@@ -131,8 +134,12 @@
 			if (!this.getResult().getParent().isVisible()) {
 				// unit property
 				new Label(mainParametersArea, SWT.NONE).setText(TXMCoreMessages.common_property);
+				
+				ArrayList<WordProperty> availableProperties = new ArrayList<>();
+				availableProperties.addAll(CQPCorpus.getFirstParentCorpus(this.getResult()).getOrderedProperties());
+				availableProperties.addAll(CQPCorpus.getFirstParentCorpus(this.getResult()).getVirtualProperties());
 				this.unitPropertyComboViewer = new PropertiesComboViewer(mainParametersArea, this, false,
-						CQPCorpus.getFirstParentCorpus(this.getResult()).getOrderedProperties(),
+						availableProperties,
 						this.getResult().getUnitProperty(), false);
 			}
 			
Index: tmp/org.txm.core.tests/src/org/txm/core/tests/manual/ToolBoxTesterRCPApplication.java
===================================================================
--- tmp/org.txm.core.tests/src/org/txm/core/tests/manual/ToolBoxTesterRCPApplication.java	(revision 2947)
+++ tmp/org.txm.core.tests/src/org/txm/core/tests/manual/ToolBoxTesterRCPApplication.java	(revision 2948)
@@ -12,6 +12,7 @@
 import org.txm.searchengine.cqp.corpus.Property;
 import org.txm.searchengine.cqp.corpus.StructuralUnit;
 import org.txm.searchengine.cqp.corpus.StructuralUnitProperty;
+import org.txm.searchengine.cqp.corpus.WordProperty;
 
 /**
  * 
@@ -68,9 +69,9 @@
 			StructuralUnitProperty text_type = textUnit.getProperty("type");
 			StructuralUnitProperty text_id = textUnit.getProperty("id");
 			StructuralUnit sUnit = corpus.getStructuralUnit("s");
-			Property word = corpus.getProperty("word");
-			Property enpos = corpus.getProperty("enpos");
-			Property enlemma = corpus.getProperty("enlemma");
+			WordProperty word = corpus.getProperty("word");
+			WordProperty enpos = corpus.getProperty("enpos");
+			WordProperty enlemma = corpus.getProperty("enlemma");
 
 			// CQP Lexicon
 			System.out.println("**************************************************");
